## org.eclipse.m2m.atl.profiler.core.vm
Interface IOperation

All Known Implementing Classes:
  OperationAdapter, OperationAdapter

    public interface IOperation

An abstract definition of ATL VM operations.

Method Summary
`java.util.List<?>` `getInstructions()` Returns the operation instructions.
`java.lang.String` `getName()` Returns the operation name.

Method Detail

### getName

    java.lang.String getName()

  Returns the operation name.

  Returns:
    the operation name

### getInstructions

    java.util.List<?> getInstructions()

  Returns the operation instructions.

  Returns:
    the operation instructions

Copyright 2007 IBM Corporation and others. All Rights Reserved.